Skip to navigation

Create an endpoint

Requires the inventory:write API key scope.

Authentication

AuthorizationBearer

A workspace API key, sent as Authorization: Bearer.

OR
x-api-keystring

A workspace API key, sent as x-api-key.

Path parameters

appIdstringRequired
Application UUID.

Request

This endpoint expects an object.
endpointstringRequired
descriptionstringRequired
typeenumOptional
transportenumOptional
Allowed values:
locationstringOptional
Source file that handles the endpoint.
startLineNumberintegerOptional
endLineNumberintegerOptional
objectiveslist of stringsOptional
authenticationRequiredobjectOptional
businessLogicstringOptional
threatModelstringOptional

Response

The created endpoint.
idstringformat: "uuid"
endpointstring
transportenum
Allowed values:
typeenum or null
applicationIdstringformat: "uuid"
locationstring or null
authRequiredboolean or null
createdAtdatetime
descriptionstring
objectiveslist of strings
startLineNumberinteger or null
endLineNumberinteger or null
authenticationRequiredobject or null
businessLogicstring or null
threatModelstring or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error